<?php

class Pets_user extends CActiveRecord {

    public static function model($className = __CLASS__) {
        return parent::model($className);
    }

    public function tableName() {
        return 'pets_user';
    }

    public function rules() {
        return array(
            array('title', 'length', 'max' => 24, 'min' => 3),
            array('title', 'match', 'pattern' => '/^[A-Za-z0-9А-Яа-я\s,]+$/u', 'message' => 'Логин содержит недопустимые символы.'),
            array('title', 'required'),
        );
    }

    public function attributeLabels() {
        return array(
            'title' => 'Имя питомца',
        );
    }

    public static function ownedmeornot($id) {
        if ($id != NULL) {
            $b = self::model()->findByAttributes(array('user' => Yii::app()->user->id));
            if (!$b) {
                return false;
            } else {
                return $b;
            }
        } else {
            $b = self::model()->findByAttributes(array('user' => Yii::app()->user->id));
            if (!$b) {
                return false;
            } else {
                return $b;
            }
        }
    }

}
